---
schema_version: "1"
id: 5032f4254a3529616a27794a47e15c41b0701ed26179cc4bb6872a911e2d3aec
title: Get List View Preferences
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_list_preferences_get.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_list_preferences_get.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: eaae85cb14b3fe0cfcddd96e6edab0d0b4b3242d1874cc0fbac095d4474663e9
description: Get list view preferences.
---
# Get List View Preferences

Get list view preferences.

Resource

/ui-api/list-preferences/${objectApiName}/${listViewApiName}

- objectApiName—A [supported](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_get_started_supported_objects.htm#ui_api_get_started_supported_objects "User Interface API supports all custom objects and external objects and many standard objects.") object, such as Account.
- listViewApiName—The API name of a list view, such as AllAccounts.

Available version

61.0

HTTP methods

GET

Example

This example gets list preferences for the All Accounts list view.

GET /services/data/v68.0/ui-api/list-preferences/Account/AllAccounts

Response body for GET

[List Preferences](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_list_preferences.htm "List preferences.")